=== debian/changelog ===
ros-opencv-apps (1.11.14-1build4) bionic; urgency=medium

  * No-change rebuild against libconsole-bridge0.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 07:12:51 +0000

ros-opencv-apps (1.11.14-1build3) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 13:06:09 +0100

ros-opencv-apps (1.11.14-1build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 19:53:01 +0000

ros-opencv-apps (1.11.14-1build1) artful; urgency=medium

  * No-change rebuild against OpenCV 3.1.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 20 Jun 2017 23:57:09 +0200

ros-opencv-apps (1.11.14-1) unstable; urgency=medium

  * New package split from ros-vision-opencv
  * Initial package. Closes: #849068

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 23 Oct 2016 18:16:48 +0200
