=== debian/control ===
Source: ros-opencv-apps
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), librosconsole-dev,
		libsensor-msgs-dev, libboost-python-dev, libopencv-dev,
		libdynamic-reconfigure-config-init-mutex-dev, ros-message-generation,
		libimage-transport-dev, libnodeletlib-dev, libroscpp-dev, python-numpy,
		python-dynamic-reconfigure, libstd-srvs-dev, dh-python, python,
		librostest-dev, ros-std-msgs, libcv-bridge-dev,
		python-roslaunch, python-rostest, python-rosunit,
		python-rosservice, python-rosbag 
Standards-Version: 3.9.8
Section: libs
Homepage: http://wiki.ros.org/opencv_apps
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-opencv-apps.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-opencv-apps.git

Package: libopencv-apps-dev
Section: libdevel
Architecture: any
Depends: libopencv-apps0d (= ${binary:Version}), ${misc:Depends},
 libcv-bridge-dev, libdynamic-reconfigure-config-init-mutex-dev,
 ros-message-generation, libimage-transport-dev, libnodeletlib-dev,libroscpp-dev
Description: Opencv_apps Robot OS package - development files
 This package is part of Robot OS (ROS). It contains several ROS
 packages for working providing OpenCV functionalities in a simplest
 manner in ROS, i.e., running a launch file that corresponds to
 the functionality.
 .
 The package contains implementations for edge detection, structual analysis, 
 people/face detection, motion analysis and object segmentation.
 .
 It contains development files for the opencv_apps library.

Package: libopencv-apps0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: opencv_apps Robot OS package - runtime files
 This package is part of Robot OS (ROS). It contains several ROS
 packages for working providing OpenCV functionalities in a simplest
 manner in ROS, i.e., running a launch file that corresponds to
 the functionality.
 .
 The package contains implementations for edge detection, structual analysis, 
 people/face detection, motion analysis and object segmentation.
 .
 It contains the opencv_apps library itself.
 
Package: ros-opencv-apps
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: opencv_apps Robot OS package - apps
 This package is part of Robot OS (ROS). It contains several ROS
 packages for working providing OpenCV functionalities in a simplest
 manner in ROS, i.e., running a launch file that corresponds to
 the functionality.
 .
 The package contains implementations for edge detection, structual analysis, 
 people/face detection, motion analysis and object segmentation.
 .
 It contains the nodes and the ROS stuff of the opencv-apps.

Package: python-opencv-apps
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},python-genpy, python-std-msgs
Description: opencv_apps Robot OS package - Python bindings
 This package is part of Robot OS (ROS). It contains several ROS
 packages for working providing OpenCV functionalities in a simplest
 manner in ROS, i.e., running a launch file that corresponds to
 the functionality.
 .
 The package contains implementations for edge detection, structual analysis, 
 people/face detection, motion analysis and object segmentation.
 .
 It contains the Python bindings for the opencv_apps library.

Package: cl-opencv-apps
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: opencv_apps Robot OS package - LISP bindings
 This package is part of Robot OS (ROS). It contains several ROS
 packages for working providing OpenCV functionalities in a simplest
 manner in ROS, i.e., running a launch file that corresponds to
 the functionality.
 .
 The package contains implementations for edge detection, structual analysis, 
 people/face detection, motion analysis and object segmentation.
 .
 It contains the LISP bindings for the opencv_apps library.
