=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with=python2 --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_numpy

override_dh_auto_configure:
	dh_auto_configure -- -DCATKIN_ENABLE_TESTING:BOOL=OFF

get-orig-source:
	uscan --verbose --force-download
