=== debian/watch ===
# Watch control file for uscan
# For GitHub projects you can use the tags page:
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%opencv_apps-$1.tar.gz%" \
             https://github.com/ros-perception/opencv_apps/releases \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
