=== debian/changelog ===
ros-opencv-apps (1.12.0-3build3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 11:07:24 +0000

ros-opencv-apps (1.12.0-3build2) focal; urgency=medium

  * No-change rebuild for opencv soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 07:40:53 +0000

ros-opencv-apps (1.12.0-3build1) focal; urgency=medium

  * No-change rebuild against libopencv-core4.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Nov 2019 04:48:55 +0000

ros-opencv-apps (1.12.0-3) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938387)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI
  * Add Patch for OpenCV 4 (Closes: #922591)
  * Drop debian uupdate from d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Oct 2019 23:29:37 +0200

ros-opencv-apps (1.12.0-2) unstable; urgency=medium

  * Add patch for new Opencv 3.4.4 (Closes: #915529)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Dec 2018 08:13:24 +0100

ros-opencv-apps (1.12.0-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Remove common-licenses reference to fix lintian
  * Update d/watch and limit it to ROS1
  * New upstream version 1.12.0
  * Update copyright
  * Bump Soname due to ABI change
  * Update packaging
  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Nov 2018 21:20:43 +0100
