=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh $@ --with=python3 --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCATKIN_ENABLE_TESTING:BOOL=OFF
