=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros-perception/opencv_apps/tags \
    (?:.*?/)?v?(1[\d.]*)\.tar\.gz
